<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">

<f:variable name="itemClasses" value="teaser__item news__article article articletype-{newsItem.type}{f:if(condition: newsItem.istopnews, then: ' topnews')}"/>
<f:variable name="isEven" value=""/>
<f:if condition="{settings.templateLayout} == 4">
    <f:variable name="isEven" value="{f:if(condition: iterator.isEven, then: 'bg--grey', else: 'bg--default')}"/>
</f:if>

<div class="{itemClasses} {isEven}" itemscope="itemscope" itemtype="https://schema.org/Article">
    <n:excludeDisplayedNews newsItem="{newsItem}"/>

    <f:if condition="{newsItem.mediaPreviews}">
        <!-- media preview element -->
        <f:then>
            <div class="news__media teaser__media news-img-wrap">
                <f:render section="media" arguments="{_all}"/>
            </div>
        </f:then>
        <f:else>
            <f:if condition="{settings.displayDummyIfNoMedia}">
                <div class="news__media teaser__media news-img-wrap">
					<span class="no-media-element">
						<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" class="news__media--link">
							<f:image src="{settings.list.media.dummyImage}" title="" alt=""
                                     loading="{settings.list.media.image.lazyLoading}"
                                     maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}"
                                     maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"
                                     tabindex="-1"
                            />
						</n:link>
					</span>
                </div>
            </f:if>
        </f:else>
    </f:if>

	<div class="teaser__content news__content">
        <div class="news__metadates">
            <!-- date -->
            <span class="news-list__date news__date">
				<time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'d.m.Y')}">
					<f:format.date format="d.m.Y">{newsItem.datetime}</f:format.date>
				</time>
			</span>

            <f:if condition="{newsItem.author}">
                <!-- author -->
				<span class="news-list-author news__author">&nbsp;- {newsItem.author}</span>
            </f:if>
        </div>
        <!-- header -->
        <div>
            <h3 class="news__title">
                <n:link class="news__title--link" newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
                    <span itemprop="headline">{newsItem.title}</span>
                </n:link>
            </h3>
        </div>
        <f:comment><!-- Show text, but not for slider with background --></f:comment>
        <!-- teaser -->
        <div class="teaser__text">
            <n:removeMediaTags>
                <f:if condition="{newsItem.teaser}">
                    <f:then>
                        <div itemprop="description">{newsItem.teaser -> f:format.crop(maxCharacters:
                            '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}
                        </div>
                    </f:then>
                    <f:else>
                        <div itemprop="description">{newsItem.bodytext -> f:format.crop(maxCharacters:
                            '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}
                        </div>
                    </f:else>
                </f:if>
            </n:removeMediaTags>
        </div>

        <!-- footer information -->
        <div class="footer">
            <p>
                <f:comment><!-- Show more button for blog teaser --></f:comment>
                <n:link class="news-list-more button button--secondary" newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" tabindex="-1">
                    Beitrag lesen
                </n:link>
            </p>
        </div>
    </div>
</div>

<f:if condition="{settings.templateLayout} == 4 && {iterator.isFirst}">
    <div class="blog__sublist">
</f:if>

<f:if condition="{settings.templateLayout} == 4 && {iterator.isLast}">
    </div>
</f:if>

<f:section name="media">
    <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" tabindex="-1" class="news__media--link">
        <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
            <f:if condition="{mediaElement.originalResource.type} == 2">
                <f:render section="image" arguments="{_all}"/>
            </f:if>
            <f:if condition="{mediaElement.originalResource.type} == 4">
                <f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
            </f:if>
            <f:if condition="{mediaElement.originalResource.type} == 5">
                <f:render section="image" arguments="{_all}"/>
                <f:image image="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" loading="{settings.list.media.image.lazyLoading}" maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"/>
            </f:if>
        </f:alias>
    </n:link>
</f:section>

<f:section name="image">
    <f:if condition="{settings.templateLayout} == 4">
        <f:then>

            <f:if condition="{iterator.isFirst}">
                <f:then>
                    <f:image image="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                             title="{mediaElement.originalResource.title}"
                             loading="lazy"
                             width="1000c"
                             height="719c"
                             data="{copyright: '{mediaElement.originalResource.copyright}'}"/>
                </f:then>
                <f:else>
                    <f:image image="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                             title="{mediaElement.originalResource.title}"
                             loading="lazy"
                             width="450c"
                             data="{copyright: '{mediaElement.originalResource.copyright}'}"/>
                </f:else>
            </f:if>
        </f:then>
        <f:else>
            <f:image image="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                     title="{mediaElement.originalResource.title}"
                     loading="lazy"
                     width="450c"
                     data="{copyright: '{mediaElement.originalResource.copyright}'}"/>
        </f:else>
    </f:if>

</f:section>
</html>
